Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.healthmonitor
Enum MonitorType

    java.lang.Object
      java.lang.Enum<MonitorType>
          org.ka2ddo.yaac.healthmonitor.MonitorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MonitorType>

    public enum MonitorType

extends java.lang.Enum<MonitorType>

This enumeration specifies the different types of monitoring that should be done for a remote station.

Enum Constant Summary
`APRS` Station should be beaconing on APRS.
`DIGIPEATER` Station should be digipeating other stations.
`IGATE` Station should be I-gating other stations to or from the APRS-IS.
`OPENTRAC` Station should be beaconing on OpenTRAC.
`WEATHER` Station should be reporting weather information.
`WINLINK` Station should be providing WinLink2000 packet service.

Method Summary
`static MonitorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MonitorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### APRS

    public static final MonitorType APRS

  Station should be beaconing on APRS.

### OPENTRAC

    public static final MonitorType OPENTRAC

  Station should be beaconing on OpenTRAC.

### WINLINK

    public static final MonitorType WINLINK

  Station should be providing WinLink2000 packet service.

### DIGIPEATER

    public static final MonitorType DIGIPEATER

  Station should be digipeating other stations.

### IGATE

    public static final MonitorType IGATE

  Station should be I-gating other stations to or from the APRS-IS.

### WEATHER

    public static final MonitorType WEATHER

  Station should be reporting weather information.

Method Detail

### values

    public static MonitorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MonitorType c : MonitorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MonitorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD